Billing Profiles - List By Billing Account
Lists the billing profiles that a user has access to. The operation is supported for billing accounts with agreement of type Microsoft Customer Agreement and Microsoft Partner Agreement.
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles?api-version=2024-04-01
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles?includeDeleted={includeDeleted}&api-version=2024-04-01&filter={filter}&orderBy={orderBy}&top={top}&skip={skip}&count={count}&search={search}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string pattern: ^([0-9]+|([Pp][Cc][Nn]\.[A-Za-z0-9]+)|[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}(:[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}_[0-9]{4}(-[0-9]{2}){2})?)$ |
The ID that uniquely identifies a billing account. |
|
api-version
|
query | True |
string |
The version of the API to be used with the client request. The current version is 2024-04-01. |
|
count
|
query |
boolean |
The count query option allows clients to request a count of the matching resources included with the resources in the response. |
|
|
filter
|
query |
string |
The filter query option allows clients to filter a collection of resources that are addressed by a request URL. |
|
|
include
|
query |
boolean |
Can be used to get deleted billing profiles. |
|
|
order
|
query |
string |
The orderby query option allows clients to request resources in a particular order. |
|
|
search
|
query |
string |
The search query option allows clients to request items within a collection matching a free-text search expression. search is only supported for string fields. |
|
|
skip
|
query |
integer (int64) |
The skip query option requests the number of items in the queried collection that are to be skipped and not included in the result. |
|
|
top
|
query |
integer (int64) |
The top query option requests the number of items in the queried collection to be included in the result. The maximum supported value for top is 50. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The list of billing profiles. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
BillingProfilesListByBillingAccount
Sample request
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles?api-version=2024-04-01
Sample response
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/xxxx-xxxx-xxx-xxx",
"name": "xxxx-xxxx-xxx-xxx",
"properties": {
"billTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"currency": "USD",
"displayName": "Billing Profile 1",
"hasReadAccess": true,
"invoiceDay": 5,
"invoiceEmailOptIn": true,
"invoiceRecipients": [
"abc@contoso.com",
"xyz@contoso.com"
],
"poNumber": "ABC12345",
"shipTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"soldTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"spendingLimit": "On",
"spendingLimitDetails": [
{
"amount": 200,
"currency": "USD",
"startDate": "2018-01-01T00:00:00.0000000Z",
"endDate": "2019-01-01T00:00:00.0000000Z",
"type": "FreeAccount",
"status": "Active"
}
],
"status": "Warned",
"statusReasonCode": "PastDue",
"systemId": "11111111-1111-1111-1111-111111111111"
},
"type": "Microsoft.Billing/billingAccounts/billingProfiles"
},
{
"id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/yyyy-yyyy-yyy-yyy",
"name": "yyyy-yyyy-yyy-yyy",
"properties": {
"billTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"currency": "USD",
"displayName": "Billing Profile 2",
"hasReadAccess": true,
"invoiceDay": 5,
"invoiceEmailOptIn": true,
"invoiceRecipients": [
"abc@contoso.com",
"xyz@contoso.com"
],
"poNumber": "ABC12345",
"shipTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"soldTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"status": "UnderReview",
"statusReasonCode": "UnusualActivity",
"systemId": "22222222-2222-2222-2222-222222222222"
},
"type": "Microsoft.Billing/billingAccounts/billingProfiles"
},
{
"id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/zzzz-zzzz-zzz-zzz",
"name": "zzzz-zzzz-zzz-zzz",
"properties": {
"billTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"currency": "USD",
"displayName": "Billing Profile 1",
"hasReadAccess": true,
"invoiceDay": 5,
"invoiceEmailOptIn": true,
"invoiceRecipients": [
"abc@contoso.com",
"xyz@contoso.com"
],
"poNumber": "ABC12345",
"shipTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"soldTo": {
"addressLine1": "Test Address1",
"addressLine2": "Test Address2",
"addressLine3": "Test Address3",
"city": "City",
"companyName": "Contoso",
"country": "US",
"email": "abc@contoso.com",
"firstName": "Test",
"lastName": "User",
"phoneNumber": "000-000-0000",
"postalCode": "00000",
"region": "WA",
"isValidAddress": true
},
"status": "Active",
"systemId": "33333333-3333-3333-3333-333333333333"
},
"type": "Microsoft.Billing/billingAccounts/billingProfiles"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Azure |
Details of the Azure plan. |
|
Billing |
A billing profile. |
|
Billing |
A container for a list of resources |
|
Billing |
A billing profile. |
|
Billing |
The status of the billing profile. |
|
Billing |
Reason for the specified billing profile status. |
|
Billing |
Identifies the billing relationship represented by the billing profile. The billing relationship may be between Microsoft, the customer, and/or a third-party. |
|
Bill |
Billing address. |
|
created |
The type of identity that created the resource. |
|
Current |
The current payment term of the billing profile. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Indirect |
Identifies the billing profile that is linked to another billing profile in indirect purchase motion. |
|
Payment |
The properties of payment term. |
|
Provisioning |
The provisioning state of the resource during a long-running operation. |
|
Ship |
The default address where the products are shipped, or the services are being used. If a ship to is not specified for a product or a subscription, then this address will be used. |
|
Sold |
The address of the individual or organization that is responsible for the billing account. |
|
Spending |
The billing profile spending limit. |
|
Spending |
The billing profile spending limit. |
|
Spending |
The status of current spending limit. |
|
Spending |
The type of spending limit. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
AzurePlan
Details of the Azure plan.
| Name | Type | Description |
|---|---|---|
| productId |
string |
The ID that uniquely identifies a product. |
| skuDescription |
string |
The sku description. |
| skuId |
string |
The ID that uniquely identifies a sku. |
BillingProfile
A billing profile.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties |
A billing profile. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Dictionary of metadata associated with the resource. It may not be populated for all resource types. Maximum key/value length supported of 256 characters. Keys/value should not empty value nor null. Keys can not contain < > % & \ ? / |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
BillingProfileListResult
A container for a list of resources
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link (url) to the next page of results. |
| value |
The list of resources. |
BillingProfileProperties
A billing profile.
| Name | Type | Description |
|---|---|---|
| billTo |
Billing address. |
|
| billingRelationshipType |
Identifies the billing relationship represented by the billing profile. The billing relationship may be between Microsoft, the customer, and/or a third-party. |
|
| currency |
string |
The currency in which the charges for the billing profile are billed. |
| currentPaymentTerm |
The current payment term of the billing profile. |
|
| displayName |
string |
The name of the billing profile. |
| enabledAzurePlans |
Information about the enabled azure plans. |
|
| hasReadAccess |
boolean |
Indicates whether user has read access to the billing profile. |
| indirectRelationshipInfo |
Identifies the billing profile that is linked to another billing profile in indirect purchase motion. |
|
| invoiceDay |
integer (int32) |
The day of the month when the invoice for the billing profile is generated. |
| invoiceEmailOptIn |
boolean |
Flag controlling whether the invoices for the billing profile are sent through email. |
| invoiceRecipients |
string[] |
The list of email addresses to receive invoices by email for the billing profile. |
| otherPaymentTerms |
The other payment terms of the billing profile. |
|
| poNumber |
string |
The default purchase order number that will appear on the invoices generated for the billing profile. |
| provisioningState |
The provisioning state of the resource during a long-running operation. |
|
| shipTo |
The default address where the products are shipped, or the services are being used. If a ship to is not specified for a product or a subscription, then this address will be used. |
|
| soldTo |
The address of the individual or organization that is responsible for the billing account. |
|
| spendingLimit |
The billing profile spending limit. |
|
| spendingLimitDetails |
The details of billing profile spending limit. |
|
| status |
The status of the billing profile. |
|
| statusReasonCode |
Reason for the specified billing profile status. |
|
| systemId |
string |
The system generated unique identifier for a billing profile. |
| tags |
object |
Dictionary of metadata associated with the resource. Maximum key/value length supported of 256 characters. Keys/value should not empty value nor null. Keys can not contain < > % & \ ? / |
| targetClouds |
string[] |
Identifies the cloud environments that are associated with a billing profile. This is a system managed optional field and gets updated as the billing profile gets associated with accounts in various clouds. |
BillingProfileStatus
The status of the billing profile.
| Value | Description |
|---|---|
| Other | |
| Active | |
| Disabled | |
| Warned | |
| Deleted | |
| UnderReview |
BillingProfileStatusReasonCode
Reason for the specified billing profile status.
| Value | Description |
|---|---|
| Other | |
| PastDue | |
| UnusualActivity | |
| SpendingLimitReached | |
| SpendingLimitExpired |
BillingRelationshipType
Identifies the billing relationship represented by the billing profile. The billing relationship may be between Microsoft, the customer, and/or a third-party.
| Value | Description |
|---|---|
| Other | |
| Direct | |
| IndirectCustomer | |
| IndirectPartner | |
| CSPPartner | |
| CSPCustomer |
BillTo
Billing address.
| Name | Type | Description |
|---|---|---|
| addressLine1 |
string minLength: 1 |
Address line 1. |
| addressLine2 |
string |
Address line 2. |
| addressLine3 |
string |
Address line 3. |
| city |
string |
Address city. |
| companyName |
string |
Company name. Optional for MCA Individual (Pay-as-you-go). |
| country |
string minLength: 1 |
Country code uses ISO 3166-1 Alpha-2 format. |
| district |
string |
Address district. |
|
string |
Email address. |
|
| firstName |
string |
First name. Optional for MCA Enterprise. |
| isValidAddress |
boolean |
Indicates if the address is incomplete. |
| lastName |
string |
Last name. Optional for MCA Enterprise. |
| middleName |
string |
Middle name. |
| phoneNumber |
string |
Phone number. |
| postalCode |
string |
Postal code. |
| region |
string |
Address region. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
CurrentPaymentTerm
The current payment term of the billing profile.
| Name | Type | Description |
|---|---|---|
| endDate |
string (date-time) |
The date on when the defined 'Payment Term' will end and is always in UTC. |
| isDefault |
boolean |
Indicates payment term is the standard payment term. |
| startDate |
string (date-time) |
The date on when the defined 'Payment Term' will be effective from and is always in UTC. |
| term |
string |
Represents duration in netXX format. Always in days. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
IndirectRelationshipInfo
Identifies the billing profile that is linked to another billing profile in indirect purchase motion.
| Name | Type | Description |
|---|---|---|
| billingAccountName |
string |
The billing account name of the partner or the customer for an indirect motion. |
| billingProfileName |
string |
The billing profile name of the partner or the customer for an indirect motion. |
| displayName |
string |
The display name of the partner or customer for an indirect motion. |
PaymentTerm
The properties of payment term.
| Name | Type | Description |
|---|---|---|
| endDate |
string (date-time) |
The date on when the defined 'Payment Term' will end and is always in UTC. |
| isDefault |
boolean |
Indicates payment term is the standard payment term. |
| startDate |
string (date-time) |
The date on when the defined 'Payment Term' will be effective from and is always in UTC. |
| term |
string |
Represents duration in netXX format. Always in days. |
ProvisioningState
The provisioning state of the resource during a long-running operation.
| Value | Description |
|---|---|
| Succeeded | |
| Canceled | |
| Failed | |
| New | |
| Pending | |
| Provisioning |
ShipTo
The default address where the products are shipped, or the services are being used. If a ship to is not specified for a product or a subscription, then this address will be used.
| Name | Type | Description |
|---|---|---|
| addressLine1 |
string minLength: 1 |
Address line 1. |
| addressLine2 |
string |
Address line 2. |
| addressLine3 |
string |
Address line 3. |
| city |
string |
Address city. |
| companyName |
string |
Company name. Optional for MCA Individual (Pay-as-you-go). |
| country |
string minLength: 1 |
Country code uses ISO 3166-1 Alpha-2 format. |
| district |
string |
Address district. |
|
string |
Email address. |
|
| firstName |
string |
First name. Optional for MCA Enterprise. |
| isValidAddress |
boolean |
Indicates if the address is incomplete. |
| lastName |
string |
Last name. Optional for MCA Enterprise. |
| middleName |
string |
Middle name. |
| phoneNumber |
string |
Phone number. |
| postalCode |
string |
Postal code. |
| region |
string |
Address region. |
SoldTo
The address of the individual or organization that is responsible for the billing account.
| Name | Type | Description |
|---|---|---|
| addressLine1 |
string minLength: 1 |
Address line 1. |
| addressLine2 |
string |
Address line 2. |
| addressLine3 |
string |
Address line 3. |
| city |
string |
Address city. |
| companyName |
string |
Company name. Optional for MCA Individual (Pay-as-you-go). |
| country |
string minLength: 1 |
Country code uses ISO 3166-1 Alpha-2 format. |
| district |
string |
Address district. |
|
string |
Email address. |
|
| firstName |
string |
First name. Optional for MCA Enterprise. |
| isValidAddress |
boolean |
Indicates if the address is incomplete. |
| lastName |
string |
Last name. Optional for MCA Enterprise. |
| middleName |
string |
Middle name. |
| phoneNumber |
string |
Phone number. |
| postalCode |
string |
Postal code. |
| region |
string |
Address region. |
SpendingLimit
The billing profile spending limit.
| Value | Description |
|---|---|
| Off | |
| On |
SpendingLimitDetails
The billing profile spending limit.
| Name | Type | Description |
|---|---|---|
| amount |
number |
The initial amount for the billing profile. |
| currency |
string |
The currency in which the charges for the billing profile are billed. |
| endDate |
string (date-time) |
The date when this spending limit is no longer in effect. |
| startDate |
string (date-time) |
The date when this spending limit goes into effect. |
| status |
The status of current spending limit. |
|
| type |
The type of spending limit. |
SpendingLimitStatus
The status of current spending limit.
| Value | Description |
|---|---|
| Other | |
| None | |
| Active | |
| Expired | |
| LimitReached | |
| LimitRemoved |
SpendingLimitType
The type of spending limit.
| Value | Description |
|---|---|
| Other | |
| None | |
| FreeAccount | |
| Sandbox | |
| AzureForStudents | |
| AcademicSponsorship | |
| AzureConsumptionCredit | |
| AzurePassSponsorship | |
| MpnSponsorship | |
| MSDN | |
| NonProfitSponsorship | |
| Sponsorship | |
| StartupSponsorship | |
| AzureForStudentsStarter | |
| VisualStudio |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |